## AtomFeed

Description

Located in /inc/AtomFeed.php (line 139)

    XMLDocument
       |
       --AtomFeed

Method Summary
AtomFeed __construct ()
void addAuthor ( $new_value)
void addEntry ( $new_entry)
void addNode ( $in_tag, [ $content = false], [ $attributes = false], [ $xmlns = null])
void createEntry ([ $id = null], [ $title = null], [ $published = null], [ $updated = null])
void export ([ $format = 'atom'])
void setDateModified ( $epoch)
void setDescription ( $new_value, [ $type = 'text'])
XMLElement setFeedLink (uri $new_value, [ $type = null])
void setId ( $new_value)
void setLink ( $new_value, [ $type = "text/calendar"], [ $rel = 'alternate'])
void setTitle ( $new_value, [ $type = 'text'])
Methods
Constructor __construct (line 146)

- access: public

AtomFeed __construct ()
addAuthor (line 201)

- access: public

void addAuthor ( $new_value)

- $new_value

addEntry (line 224)

- access: public

void addEntry ( $new_entry)

- $new_entry

addNode (line 217)

- access: public

void addNode ( $in_tag, [ $content = false], [ $attributes = false], [ $xmlns = null])

- $in_tag
- $content
- $attributes
- $xmlns

createEntry (line 229)

- access: public

void createEntry ([ $id = null], [ $title = null], [ $published = null], [ $updated = null])

- $id
- $title
- $published
- $updated

export (line 233)

- access: public

void export ([ $format = 'atom'])

- $format

setDateModified (line 179)

- access: public

void setDateModified ( $epoch)

- $epoch

setDescription (line 213)

- access: public

void setDescription ( $new_value, [ $type = 'text'])

- $new_value
- $type

setFeedLink (line 196)

Sets the feed link (rel=self), ignoring the parameter which is for compatibility with the Zend library API, although we use this for the Id, whereas they use the first link that is set.

- return: the node that was added.
- access: public

XMLElement setFeedLink (uri $new_value, [ $type = null])

- uri $new_value: The link target
- $type

setId (line 169)

- access: public

void setId ( $new_value)

- $new_value

setLink (line 184)

- access: public

void setLink ( $new_value, [ $type = "text/calendar"], [ $rel = 'alternate'])

- $new_value
- $type
- $rel

setTitle (line 174)

- access: public

void setTitle ( $new_value, [ $type = 'text'])

- $new_value
- $type

Documentation generated on Wed, 04 Jul 2012 10:13:05 +0000 by phpDocumentor 1.4.3